DIFF(1)

BEZEICHNUNG
diff - Dateien zeilenweise vergleichen

ÜBERSICHT
diff [OPTION]… DATEIEN

BESCHREIBUNG
DATEIEN zeilenweise vergleichen

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--normal
    Ein normales Diff ausgeben (Voreinstellung)

-q, --brief
    Nur melden, wenn sich Dateien unterscheiden

-s, --report-identical-files
    Melden, wenn zwei Dateien gleich sind

-c, -C ANZAHL, --context[=ANZAHL]
    ANZAHL Zeilen (Vorgabe 3) des kopierten Umfelds ausgeben

-u, -U ANZAHL, --unified[=ANZAHL]
    ANZAHL Zeilen (Vorgabe 3) des vereinheitlichten Kontexts ausgeben

-e, --ed
    Ein ed(1)-Skript ausgeben

-n, --rcs
    Ein Diff im RCS-Format ausgeben

-y, --side-by-side
    Zwei Spalten ausgeben

-W, --width=ANZAHL
    Höchstens ANZAHL Spalten (Vorgabe 130) ausgeben

--left-column
    Nur die linke Spalte von gemeinsamen Zeilen ausgeben

--suppress-common-lines
    Gemeinsame Zeilen nicht ausgeben

-p, --show-c-function
    Für jede Änderung die entsprechende C-Funktion zeigen

-F, --show-function-line=REGULÄRER_AUSDRUCK
    Die letzte Zeile zeigen, auf die REGULÄRER_AUSDRUCK passt

--label BESCHRIFTUNG
    BESCHRIFTUNG an Stelle des Dateinamens und Zeitstempels benutzen (kann wiederholt werden)

-t, --expand-tabs
    Tabulatoren in der Ausgabe durch Leerzeichen ersetzen

-T, --initial-tab
    Tabulatoren durch Voranstellen von Tabulatoren ausgleichen

--tabsize=ANZAHL
    Tabulator-Stopps befinden sich nach je ANZAHL (Vorgabe 8) Ausgabespalten

--suppress-blank-empty
    Leerzeichen oder Tabulatoren vor leeren Ausgabezeilen unterdrücken

-l, --paginate
    Die Ausgabe durch pr(1) leiten, um die Seiten zu nummerieren

-r, --recursive
    Alle gefundenen Unterverzeichnisse rekursiv vergleichen

--no-dereference
    Symbolischen Links nicht folgen

-N, --new-file
    Fehlende Dateien als leer behandeln

--unidirectional-new-file
    Fehlende erste Dateien als leer behandeln

--ignore-file-name-case
    Ignoriert beim Vergleich von Dateinamen Groß- und Kleinschreibung

--no-ignore-file-name-case
    Beachtet beim Vergleich von Dateinamen Groß- und Kleinschreibung

-x, --exclude=MUSTER
    Dateien ausschließen, die auf MUSTER passen

-X, --exclude-from=DATEI
    Dateien ausschließen, die auf irgendein Muster in DATEI passen

-S, --starting-file=DATEI
    Beim Vergleich von Verzeichnissen mit DATEI beginnen

--from-file=DATEI1
    DATEI1 mit allen Operanden vergleichen. DATEI1 kann ein Verzeichnis sein.

--to-file=DATEI2
    Alle Operanden mit DATEI2 vergleichen. DATEI2 kann ein Verzeichnis sein.

-i, --ignore-case
    Ignoriert unterschiedliche Groß- und Kleinschreibung im Dateiinhalt

-E, --ignore-tab-expansion
    Änderungen auf Grund von Tabulator-Expansion ignorieren

-Z, --ignore-trailing-space
    Alle Leerräume am Zeilenende ignorieren

-b, --ignore-space-change
    Änderungen der Anzahl von Leerräumen ignorieren

-w, --ignore-all-space
    Alle Leerräume ignorieren

-B, --ignore-blank-lines
    Änderungen ignorieren, die nur leere Zeilen betreffen

-I, --ignore-matching-lines=REGULÄRER_AUSDRUCK
    Änderungen ignorieren, deren Zeilen alle auf REGULÄRER_AUSDRUCK passen

-a, --text
    Alle Dateien als Text behandeln

--strip-trailing-cr
    Wagenrücklauf (Carriage Return) am Ende der Eingabe entfernen

-D, --ifdef=NAME
    Zusammengefügte Datei mit »#ifdef NAME«-Diffs ausgeben

--GTYPE-group-format=GFMT
    GTYPE-Eingabegruppen mit GFMT formatieren

--line-format=LFMT
    Alle Eingabezeilen mit LFMT formatieren

--LTYPE-line-format=LFMT
    Alle LTYPE-Eingabezeilen mit LFMT formatieren

    Mit den folgenden Optionen, einer Verallgemeinerung von

    -D/--ifdef, können Sie die Formatierung der Ausgabe von diff detailliert festlegen.

LTYPE kann »old«, »new« oder »unchanged« sein.
    GTYPE ist LTYPE oder »changed«.

    GFMT darf (nur) Folgendes enthalten:

%<  Zeilen aus DATEI1

%>  Zeilen aus DATEI2

%=  Gemeinsame Zeilen von DATEI1 und DATEI2

%[-][BREITE][.[PRÄZ]]{doxX}BUCHSTABE
    Angabe im printf(1)-Stil für BUCHSTABE

    BUCHSTABEn sind für neue Gruppe, Kleinschreibung und alte Gruppe wie folgt:

F   Erste Zeilennummer

L   Letzte Zeilennummer

N   Anzahl der Zeilen = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    Wenn A gleich B ist, dann T, sonst E

    LFMT darf (nur) Folgendes enthalten:

%L  Inhalt der Zeile

%l  Inhalt der Zeile, außer irgendwelchen führenden Zeilenumbrüchen

%[-][BREITE][.[PRÄZ]]{doxX}n
    Angabe im printf(1)-Stil für Eingabe-Zeilennummer

    Sowohl GFMT als auch LFMT dürfen Folgendes enthalten:

%%  %

%c»C«
    Das einzelne Zeichen C

%c»\OOO«
    Das Zeichen mit dem oktalen Code 000

C   Das Zeichen C (andere Zeichen stellen sich selbst dar)

-d, --minimal
    Intensive Suche nach einer kleineren Menge von Änderungen

--horizon-lines=ANZAHL
    ANZAHL Zeilen des üblichen Präfix und der Endung behalten

--speed-large-files
    Große Dateien und viele vereinzelte kleine Änderungen annehmen

--color[=WANN]
    verwendet Farben bei der Ausgabe; WANN kann die Werte »never«, »always« oder »auto« (Voreinstellung) annehmen; die Angabe von --color ohne Wert bedeutet --color='auto'

--palette=PALETTE
    Die Farben, die verwandt werden sollen, wenn --color aktiv ist. PALETTE ist eine durch Doppelpunkte getrennte Liste von »terminfo capabilities«

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

-v, --version
    Gibt Versionsinformationen aus und beendet das Programm.

DATEIEN sind »DATEI1 DATEI2« oder »VERZEICHNIS1 VERZEICHNIS2« oder »VERZEICHNIS DATEI« oder »DATEI VERZEICHNIS«. Falls --from-file oder --to-file angegeben ist, gibt es keine Einschränkungen für DATEI(en). Falls eine DATEI »-« ist, wird die Standardeingabe gelesen. Der Exit-Status ist 0, wenn die Eingaben gleich sind, 1, wenn verschieden und 2 bei Problemen.

AUTOR
Geschrieben von Paul Eggert, Mike Haertel, David Hayes, Richard Stallman und Len Tower.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-diffutils@gnu.org.
Homepage der GNU diffutils: https://www.gnu.org/software/diffutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Die vollständige Dokumentation für diff wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und diff auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info diff

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Michael Piefel <piefel@debian.org>, Chris Leick <c.leick@vollbio.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.